/* Redacteur: Nicolas JANEY       */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

public class Pg0502 {
  
  /* Fonction a                                           */
  /* i : entier a traiter                                 */
  /* Resultat de la fonction : entier                     */

  public static int a(int i) {
    System.out.println("a = "+i);
    return(i+b(i+2));
  }
  
  /* Fonction b                                           */
  /* j : entier a traiter                                 */
  /* Resultat de la fonction : entier                     */

  public static int b(int j) {
    System.out.println("a = "+j);
    return(j-1);
  }
  
  /* Fonction principale                                  */

  public static void main(String [] args) {
    int u = a(12);
    System.out.println("Resultat "+u);
    u = a(b(a(3)));
    System.out.println("Resultat "+u);
  }
}